diff -Nur olsrd-0.5.5.orig/lib/bmf/src/NetworkInterfaces.c olsrd-0.5.5/lib/bmf/src/NetworkInterfaces.c
--- olsrd-0.5.5.orig/lib/bmf/src/NetworkInterfaces.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/lib/bmf/src/NetworkInterfaces.c	2008-02-29 01:41:10.000000000 +0100
@@ -673,7 +673,9 @@
         }
         else
         {
+#ifndef DEBUG
           struct interface* bestIntf = if_ifwithaddr(&bestLinkToNeighbor->local_iface_addr);
+#endif
 
           OLSR_PRINTF(
             9,
diff -Nur olsrd-0.5.5.orig/lib/httpinfo/Makefile olsrd-0.5.5/lib/httpinfo/Makefile
--- olsrd-0.5.5.orig/lib/httpinfo/Makefile	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/lib/httpinfo/Makefile	2008-02-29 01:41:10.000000000 +0100
@@ -47,7 +47,11 @@
 CPPFLAGS +=	-DADMIN_INTERFACE
 endif
 
+ifdef SVEN_OLA_UNBLOAT
+	CFLAGS += -DSVEN_OLA
+else
 OBJS += $(TOPDIR)/src/cfgparser/cfgfile_gen.o
+endif
 
 default_target: $(PLUGIN_FULLNAME)
 ifdef ADMIN_INTERFACE
diff -Nur olsrd-0.5.5.orig/lib/httpinfo/src/olsrd_httpinfo.c olsrd-0.5.5/lib/httpinfo/src/olsrd_httpinfo.c
--- olsrd-0.5.5.orig/lib/httpinfo/src/olsrd_httpinfo.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/lib/httpinfo/src/olsrd_httpinfo.c	2008-02-29 01:41:10.000000000 +0100
@@ -65,7 +65,9 @@
 
 #include "olsrd_httpinfo.h"
 #include "admin_interface.h"
+#ifndef SVEN_OLA_UNBLOAT
 #include "gfx.h"
+#endif
 
 #ifdef OS
 #undef OS
@@ -190,7 +192,9 @@
 
 static int build_about_body(char *, olsr_u32_t);
 
+#ifndef SVEN_OLA_UNBLOAT
 static int build_cfgfile_body(char *, olsr_u32_t);
+#endif
 
 static int check_allowed_ip(const struct allowed_net * const allowed_nets, const union olsr_ip_addr * const addr);
 
@@ -227,16 +231,20 @@
     {"Admin",          "admin",   build_admin_body,   OLSR_TRUE},
 #endif
     {"About",          "about",   build_about_body,   OLSR_TRUE},
+#ifndef SVEN_OLA_UNBLOAT
     {"FOO",            "cfgfile", build_cfgfile_body, OLSR_FALSE},
+#endif
     {NULL,             NULL,      NULL,               OLSR_FALSE}
 };
 
+#ifndef SVEN_OLA_UNBLOAT
 static const struct static_bin_file_entry static_bin_files[] = {
     {"favicon.ico",  favicon_ico, sizeof(favicon_ico)},
     {"logo.gif",     logo_gif, sizeof(logo_gif)},
     {"grayline.gif", grayline_gif, sizeof(grayline_gif)},
     {NULL, NULL, 0}
 };
+#endif
 
 static const struct static_txt_file_entry static_txt_files[] = {
     {"httpinfo.css", httpinfo_css},
@@ -419,6 +427,7 @@
   } else if (!strcmp(req_type, "GET")) {
     int i = 0;
 
+#ifndef SVEN_OLA_UNBLOAT
     for (i = 0; static_bin_files[i].filename; i++) {
         if (FILENREQ_MATCH(filename, static_bin_files[i].filename)) {
 	    break;
@@ -434,6 +443,7 @@
     }
 
     i = 0;
+#endif
     while (static_txt_files[i].filename)	{
       if (FILENREQ_MATCH(filename, static_txt_files[i].filename)) {
         break;
@@ -474,11 +484,14 @@
                        "<head>\n"
                        "<meta http-equiv=\"Content-type\" content=\"text/html; charset=ISO-8859-1\">\n"
                        "<title>olsr.org httpinfo plugin</title>\n"
+#ifndef SVEN_OLA_UNBLOAT
                        "<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n"
                        "<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n"
+#endif
                        "<link rel=\"stylesheet\" type=\"text/css\" href=\"httpinfo.css\">\n"
                        "</head>\n"
                        "<body bgcolor=\"#ffffff\" text=\"#000000\">\n"
+#ifndef SVEN_OLA_UNBLOAT
                        "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"%d\">\n"
                        "<tbody><tr bgcolor=\"#ffffff\">\n"
                        "<td align=\"left\" height=\"69\" valign=\"middle\" width=\"80%%\">\n"
@@ -488,7 +501,9 @@
                        "</tr>\n"
                        "</tbody>\n"
                        "</table>\n",
-                       FRAMEWIDTH);
+                       FRAMEWIDTH
+#endif
+                       );
 	
       size += build_tabs(&body[size], sizeof(body)-size, i);
       size += build_frame(&body[size],
@@ -612,7 +627,6 @@
 }
 
 
-
 static int build_tabs(char *buf, const olsr_u32_t bufsize, int active)
 {
   int size = 0, tabs = 0;
@@ -886,6 +900,7 @@
           continue;
         }
 
+#ifndef SVEN_OLA_UNBLOAT
 	if (olsr_cnf->ip_version == AF_INET) {
           struct ipaddr_str addrbuf, maskbuf, bcastbuf;
 	  size += snprintf(&buf[size], bufsize-size,
@@ -908,6 +923,7 @@
                            ip6_to_string(&addrbuf, &rifs->int6_addr.sin6_addr),
                            ip6_to_string(&maskbuf, &rifs->int6_multaddr.sin6_addr));
         }	
+#endif
         size += snprintf(&buf[size], bufsize-size,
                          "<tr>\n"
                          "<td>MTU: %d</td>\n"
@@ -1179,6 +1195,7 @@
                   build_date, build_host);
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 static int build_cfgfile_body(char *buf, olsr_u32_t bufsize)
 {
   int size = 0;
@@ -1214,6 +1231,7 @@
 #endif
   return size;
 }
+#endif
 
 static int check_allowed_ip(const struct allowed_net * const allowed_nets, const union olsr_ip_addr * const addr)
 {
diff -Nur olsrd-0.5.5.orig/lib/nameservice/src/nameservice.c olsrd-0.5.5/lib/nameservice/src/nameservice.c
--- olsrd-0.5.5.orig/lib/nameservice/src/nameservice.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/lib/nameservice/src/nameservice.c	2008-02-29 01:41:10.000000000 +0100
@@ -63,6 +63,10 @@
 #include "olsrd_copy.h"
 #include "compat.h"
 
+#ifdef SVEN_OLA_UNBLOAT
+#undef OLSR_PRINTF
+#define OLSR_PRINTF(...)
+#endif
 
 /* config parameters */
 static char my_hosts_file[MAX_FILE + 1];
@@ -70,7 +74,9 @@
 static char my_suffix[MAX_SUFFIX];
 static int my_interval = EMISSION_INTERVAL;
 static double my_timeout_msec = NAME_VALID_TIME;
+#ifndef SVEN_OLA_UNBLOAT
 static char my_resolv_file[MAX_FILE +1];
+#endif
 static char my_services_file[MAX_FILE + 1];
 static char latlon_in_file[MAX_FILE + 1];
 static char my_latlon_file[MAX_FILE + 1];
@@ -90,9 +96,11 @@
 static struct name_entry *my_services = NULL;
 static olsr_bool service_table_changed = OLSR_TRUE;
 
+#ifndef SVEN_OLA_UNBLOAT
 static struct db_entry* forwarder_list[HASHSIZE];
 static struct name_entry *my_forwarders = NULL;
 static olsr_bool forwarder_table_changed = OLSR_TRUE;
+#endif
 
 struct db_entry* latlon_list[HASHSIZE];
 static olsr_bool latlon_table_changed = OLSR_TRUE;
@@ -131,15 +139,19 @@
 		my_services_file[len++] = '\\';
 	strcpy(my_services_file + len, "services_olsr");
 
+#ifndef SVEN_OLA_UNBLOAT
 	len = strlen(my_resolv_file);
 	if (my_resolv_file[len - 1] != '\\')
 		my_resolv_file[len++] = '\\';
 	strcpy(my_resolv_file + len, "resolvconf_olsr");
+#endif
 #else
 	strcpy(my_hosts_file, "/var/run/hosts_olsr");
 	strcpy(my_services_file, "/var/run/services_olsr");
+#ifndef SVEN_OLA_UNBLOAT
 	strcpy(my_resolv_file, "/var/run/resolvconf_olsr");
 #endif
+#endif
 
 	my_suffix[0] = '\0';
 	my_add_hosts[0] = '\0';
@@ -149,7 +161,9 @@
 	/* init lists */
 	for(i = 0; i < HASHSIZE; i++) {
 		list[i] = NULL;
+#ifndef SVEN_OLA_UNBLOAT
 		forwarder_list[i] = NULL;
+#endif
 		service_list[i] = NULL;
 		latlon_list[i] = NULL;
 	}
@@ -158,6 +172,7 @@
 }
 
 
+#ifndef SVEN_OLA_UNBLOAT
 static int set_nameservice_server(const char *value, void *data, set_plugin_parameter_addon addon)
 {
 	union olsr_ip_addr ip;
@@ -180,6 +195,7 @@
 	}
 	return 1;
 }
+#endif
 
 static int set_nameservice_name(const char *value, void *data, set_plugin_parameter_addon addon)
 {
@@ -233,7 +249,9 @@
     { .name = "interval",      .set_plugin_parameter = &set_plugin_int,         .data = &my_interval },
     { .name = "timeout",       .set_plugin_parameter = &set_nameservice_float,  .data = &my_timeout_msec },
     { .name = "hosts-file",    .set_plugin_parameter = &set_plugin_string,      .data = &my_hosts_file,    .addon = {sizeof(my_hosts_file)} },
+#ifndef SVEN_OLA_UNBLOAT
     { .name = "resolv-file",   .set_plugin_parameter = &set_plugin_string,      .data = &my_resolv_file,   .addon = {sizeof(my_resolv_file)} },
+#endif
     { .name = "suffix",        .set_plugin_parameter = &set_plugin_string,      .data = &my_suffix,        .addon = {sizeof(my_suffix)} },
     { .name = "add-hosts",     .set_plugin_parameter = &set_plugin_string,      .data = &my_add_hosts,     .addon = {sizeof(my_add_hosts)} },
     { .name = "services-file", .set_plugin_parameter = &set_plugin_string,      .data = &my_services_file, .addon = {sizeof(my_services_file)} },
@@ -241,7 +259,9 @@
     { .name = "lon",           .set_plugin_parameter = &set_nameservice_float,  .data = &my_lon },
     { .name = "latlon-file",   .set_plugin_parameter = &set_plugin_string,      .data = &my_latlon_file,   .addon = {sizeof(my_latlon_file)} },
     { .name = "latlon-infile", .set_plugin_parameter = &set_plugin_string,      .data = &latlon_in_file,   .addon = {sizeof(latlon_in_file)} },
+#ifndef SVEN_OLA_UNBLOAT
     { .name = "dns-server",    .set_plugin_parameter = &set_nameservice_server, .data = &my_forwarders,    .addon = {NAME_FORWARDER} },
+#endif
     { .name = "name",          .set_plugin_parameter = &set_nameservice_name,   .data = &my_names,         .addon = {NAME_HOST} },
     { .name = "service",       .set_plugin_parameter = &set_nameservice_name,   .data = &my_services,      .addon = {NAME_SERVICE} },
     { .name = "",              .set_plugin_parameter = &set_nameservice_host,   .data = &my_names },
@@ -355,16 +375,20 @@
 			name->ip = olsr_cnf->main_addr;
 		}
 	}
+#ifndef SVEN_OLA_UNBLOAT
 	for (name = my_forwarders; name != NULL; name = name->next) {
 		if (name->ip.v4.s_addr == 0) {
 			OLSR_PRINTF(2, "NAME PLUGIN: insert main addr for name %s \n", name->name);
 			name->ip = olsr_cnf->main_addr;
 		}
 	}
+#endif
 
 	//check if entries I want to announce myself are valid and allowed
 	my_names = remove_nonvalid_names_from_list(my_names, NAME_HOST);
+#ifndef SVEN_OLA_UNBLOAT
 	my_forwarders = remove_nonvalid_names_from_list(my_forwarders, NAME_FORWARDER);
+#endif
 	my_services = remove_nonvalid_names_from_list(my_services, NAME_SERVICE);
 
 
@@ -437,11 +461,15 @@
 	
 	free_name_entry_list(&my_names);
 	free_name_entry_list(&my_services);
+#ifndef SVEN_OLA_UNBLOAT
 	free_name_entry_list(&my_forwarders);
+#endif
 
 	free_all_list_entries(list);
 	free_all_list_entries(service_list);
+#ifndef SVEN_OLA_UNBLOAT
 	free_all_list_entries(forwarder_list);
+#endif
 	free_all_list_entries(latlon_list);
 
 	regfree(&regex_t_name);
@@ -489,12 +517,16 @@
 	{
 		case 0:
 			timeout_old_names(list, &name_table_changed);
+#ifndef SVEN_OLA_UNBLOAT
 			timeout_old_names(forwarder_list, &forwarder_table_changed);
+#endif
 			timeout_old_names(service_list, &service_table_changed);
 			timeout_old_names(latlon_list, &latlon_table_changed);
 			break;
 		case 1:
+#ifndef SVEN_OLA_UNBLOAT
 			write_resolv_file(); // if forwarder_table_changed
+#endif
 			break;
 		case 2:
 			write_hosts_file(); // if name_table_changed
@@ -693,12 +725,14 @@
 		pos = create_packet( (struct name*) pos, my_name);
 		i++;
 	}
+#ifndef SVEN_OLA_UNBLOAT
 	// forwarders
 	for (my_name = my_forwarders; my_name!=NULL; my_name = my_name->next)
 	{
 		pos = create_packet( (struct name*) pos, my_name);
 		i++;
 	}
+#endif
 	// services
 	for (my_service = my_services; my_service!=NULL; my_service = my_service->next)
 	{
@@ -899,9 +933,11 @@
 			case NAME_HOST: 
 				insert_new_name_in_list(originator, list, from_packet, &name_table_changed, vtime_msec); 
 				break;
+#ifndef SVEN_OLA_UNBLOAT
 			case NAME_FORWARDER:
 				insert_new_name_in_list(originator, forwarder_list, from_packet, &forwarder_table_changed, vtime_msec); 
 				break;
+#endif
 			case NAME_SERVICE:
 				insert_new_name_in_list(originator, service_list, from_packet, &service_table_changed, vtime_msec); 
 				break;
@@ -916,8 +952,10 @@
 		pos += sizeof(struct name);
 		pos += 1 + (( ntohs(from_packet->len) - 1) | 3);
 	}
+#ifdef DEBUG
 	if (i!=0)
 		OLSR_PRINTF(4, "NAME PLUGIN: Lost %d entries in received packet due to length inconsistency (%s)\n", i, olsr_ip_to_string(&strbuf, originator));
+#endif
 }
 
 
@@ -1170,6 +1208,7 @@
  * fresh entries are at the beginning of the array and
  * the best entry is at the end of the array.
  */
+#ifndef SVEN_OLA_UNBLOAT
 static void
 select_best_nameserver(struct rt_entry **rt)
 {
@@ -1203,11 +1242,13 @@
 		}
 	}
 }
+#endif
 
 /**
  * write the 3 best upstream DNS servers to resolv.conf file
  * best means the 3 with the best etx value in routing table
  */
+#ifndef SVEN_OLA_UNBLOAT
 void
 write_resolv_file(void)
 {
@@ -1292,6 +1333,7 @@
 	fclose(resolv);
 	forwarder_table_changed = OLSR_FALSE;
 }
+#endif
 
 
 /**
@@ -1398,8 +1440,14 @@
 	 * these are then used by allowed_hostname_or_ip_in_service
 	 * see regexec(3) for more infos */
 	if (!is_service_wellformed(service_line)) {
+#ifdef SVEN_OLA_UNBLOAT
+		olsr_printf(1, "NAME PLUGIN: %s: Not 'x://y:z/|tcp|Text'\n", service_line);
+#endif
 		return OLSR_FALSE;
 	} else if (!allowed_hostname_or_ip_in_service(service_line, &(regmatch_t_service[1]))) {
+#ifdef SVEN_OLA_UNBLOAT
+		olsr_printf(1, "NAME PLUGIN: %s: IP/Addr not yours and not HNA\n", service_line);
+#endif
 		return OLSR_FALSE;
 	} 
 
diff -Nur olsrd-0.5.5.orig/Makefile.inc olsrd-0.5.5/Makefile.inc
--- olsrd-0.5.5.orig/Makefile.inc	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/Makefile.inc	2008-02-29 01:41:10.000000000 +0100
@@ -203,6 +203,10 @@
 $(warning Use CPPFLAGS instead of DEFINES for -D)
 endif
 
+ifdef SVEN_OLA_UNBLOAT
+CFLAGS += -DSVEN_OLA_UNBLOAT -DNODEBUG
+endif
+
 TAGFILE ?=	src/TAGS
 
 help:
diff -Nur olsrd-0.5.5.orig/src/apm.h olsrd-0.5.5/src/apm.h
--- olsrd-0.5.5.orig/src/apm.h	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/apm.h	2008-02-29 01:41:10.000000000 +0100
@@ -41,6 +41,7 @@
 
 #ifndef _OLSR_APM
 #define _OLSR_APM
+#ifndef SVEN_OLA_UNBLOAT
 
 /*
  * Interface to OS dependent power management information
@@ -71,3 +72,4 @@
 int apm_read(struct olsr_apm_info *);
 
 #endif
+#endif
diff -Nur olsrd-0.5.5.orig/src/cfgparser/local.mk olsrd-0.5.5/src/cfgparser/local.mk
--- olsrd-0.5.5.orig/src/cfgparser/local.mk	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/cfgparser/local.mk	2008-02-29 01:41:10.000000000 +0100
@@ -41,8 +41,13 @@
 C=$(if $(CFGDIR),$(CFGDIR)/)
 
 # add the variables as we may have others already there
+ifdef SVEN_OLA_UNBLOAT
+SRCS += $(foreach file,olsrd_conf oparse oscan,$(C)$(file).c)
+OBJS += $(foreach file,olsrd_conf oparse oscan,$(C)$(file).o)
+else
 SRCS += $(foreach file,olsrd_conf oparse oscan cfgfile_gen,$(C)$(file).c)
 OBJS += $(foreach file,olsrd_conf oparse oscan cfgfile_gen,$(C)$(file).o)
+endif
 HDRS += $(foreach file,olsrd_conf oparse,$(C)$(file).h)
 
 $(C)oscan.c: $(C)oscan.lex $(C)Makefile
diff -Nur olsrd-0.5.5.orig/src/cfgparser/olsrd_conf.c olsrd-0.5.5/src/cfgparser/olsrd_conf.c
--- olsrd-0.5.5.orig/src/cfgparser/olsrd_conf.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/cfgparser/olsrd_conf.c	2008-02-29 01:41:10.000000000 +0100
@@ -83,6 +83,7 @@
 
   if((cnf = olsrd_parse_cnf(argv[1])) != NULL)
     {
+#ifndef SVEN_OLA_UNBLOAT
       if((argc > 2) && (!strcmp(argv[2], "-print")))
 	{
 	  olsrd_print_cnf(cnf);  
@@ -90,6 +91,7 @@
 	}
       else
         printf("Use -print to view parsed values\n");
+#endif
       printf("Configfile parsed OK\n");
     }
   else
@@ -160,7 +162,9 @@
       /* set various stuff */
       in->configured = OLSR_FALSE;
       in->interf = NULL;
+#ifndef SVEN_OLA_UNBLOAT
       in->host_emul = OLSR_FALSE;
+#endif
   }
   return olsr_cnf;
 }
@@ -437,7 +441,9 @@
     
     cnf->debug_level = DEF_DEBUGLVL;
     cnf->no_fork = OLSR_FALSE;
+#ifndef SVEN_OLA_UNBLOAT
     cnf->host_emul = OLSR_FALSE;
+#endif
     cnf->ip_version  = AF_INET;
     cnf->ipsize = sizeof(struct in_addr);
     cnf->maxplen = 32;
@@ -446,7 +452,9 @@
     cnf->rttable = 254;
     cnf->rttable_default = 0;
     cnf->willingness_auto = DEF_WILL_AUTO;
+#ifndef SVEN_OLA_UNBLOAT
     cnf->ipc_connections = DEF_IPC_CONNECTIONS;
+#endif
     cnf->fib_metric = DEF_FIB_METRIC;
 
     cnf->use_hysteresis = DEF_USE_HYST;
@@ -529,6 +537,7 @@
 
 
 
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsrd_print_cnf(struct olsrd_config *cnf)
 {
@@ -672,6 +681,7 @@
     }
   }
 }
+#endif
 
 #if defined WIN32
 struct ioinfo
diff -Nur olsrd-0.5.5.orig/src/cfgparser/oparse.y olsrd-0.5.5/src/cfgparser/oparse.y
--- olsrd-0.5.5.orig/src/cfgparser/oparse.y	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/cfgparser/oparse.y	2008-02-29 01:41:10.000000000 +0100
@@ -175,7 +175,6 @@
 %token TOK_RTTABLE
 %token TOK_RTTABLE_DEFAULT
 %token TOK_WILLINGNESS
-%token TOK_IPCCON
 %token TOK_FIBMETRIC
 %token TOK_USEHYST
 %token TOK_HYSTSCALE
@@ -196,7 +195,6 @@
 
 %token TOK_HOSTLABEL
 %token TOK_NETLABEL
-%token TOK_MAXIPC
 
 %token TOK_IP4BROADCAST
 %token TOK_IP6ADDRTYPE
@@ -253,7 +251,6 @@
 
 block:      TOK_HNA4 hna4body
           | TOK_HNA6 hna6body
-          | TOK_IPCCON ipcbody
           | ifblock ifbody
           | plblock plbody
 ;
@@ -278,18 +275,6 @@
          | ihna6entry
 ;
 
-ipcbody:    TOK_OPEN ipcstmts TOK_CLOSE
-;
-
-ipcstmts: | ipcstmts ipcstmt
-;
-
-ipcstmt:  vcomment
-          | imaxipc
-          | ipchost
-          | ipcnet
-;
-
 ifblock:   ifstart ifnicks
 ;
 
@@ -330,77 +315,6 @@
           | vcomment
 ;
 
-imaxipc: TOK_MAXIPC TOK_INTEGER
-{
-  olsr_cnf->ipc_connections = $2->integer;
-  free($2);
-}
-;
-
-ipchost: TOK_HOSTLABEL TOK_IP4_ADDR
-{
-  union olsr_ip_addr ipaddr;
-  PARSER_DEBUG_PRINTF("\tIPC host: %s\n", $2->string);
-  
-  if (inet_aton($2->string, &ipaddr.v4) == 0) {
-    fprintf(stderr, "Failed converting IP address IPC %s\n", $2->string);
-    YYABORT;
-  }
-
-  ip_prefix_list_add(&olsr_cnf->ipc_nets, &ipaddr, olsr_cnf->maxplen);
-
-  free($2->string);
-  free($2);
-}
-;
-
-ipcnet: TOK_NETLABEL TOK_IP4_ADDR TOK_IP4_ADDR
-{
-  union olsr_ip_addr ipaddr, netmask;
-
-  PARSER_DEBUG_PRINTF("\tIPC net: %s/%s\n", $2->string, $3->string);
-  
-  if (inet_pton(AF_INET, $2->string, &ipaddr.v4) == 0) {
-    fprintf(stderr, "Failed converting IP net IPC %s\n", $2->string);
-    YYABORT;
-  }
-
-  if (inet_pton(AF_INET, $3->string, &netmask.v4) == 0) {
-    fprintf(stderr, "Failed converting IP mask IPC %s\n", $3->string);
-    YYABORT;
-  }
-
-  ip_prefix_list_add(&olsr_cnf->ipc_nets, &ipaddr, olsr_netmask_to_prefix(&netmask));
-
-  free($2->string);
-  free($2);
-  free($3->string);
-  free($3);
-}
-        |       TOK_NETLABEL TOK_IP4_ADDR TOK_SLASH TOK_INTEGER
-{
-  union olsr_ip_addr ipaddr;
-
-  PARSER_DEBUG_PRINTF("\tIPC net: %s/%s\n", $2->string, $3->string);
-  
-  if (inet_pton(AF_INET, $2->string, &ipaddr.v4) == 0) {
-    fprintf(stderr, "Failed converting IP net IPC %s\n", $2->string);
-    YYABORT;
-  }
-
-  if ($4->integer > olsr_cnf->maxplen) {
-    fprintf(stderr, "ipcnet: Prefix len %u > %d is not allowed!\n", $4->integer, olsr_cnf->maxplen);
-    YYABORT;
-  }
-
-  ip_prefix_list_add(&olsr_cnf->ipc_nets, &ipaddr, $4->integer);
-
-  free($2->string);
-  free($2);
-  free($4);
-}
-;
-
 iifweight:       TOK_IFWEIGHT TOK_INTEGER
 {
   int ifcnt = ifs_in_curr_cfg;
diff -Nur olsrd-0.5.5.orig/src/cfgparser/oscan.lex olsrd-0.5.5/src/cfgparser/oscan.lex
--- olsrd-0.5.5.orig/src/cfgparser/oscan.lex	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/cfgparser/oscan.lex	2008-02-29 01:41:10.000000000 +0100
@@ -254,11 +254,6 @@
     return TOK_NETLABEL;
 }
 
-"MaxConnections" {
-    yylval = NULL;
-    return TOK_MAXIPC;
-}
-
 "DebugLevel" {
     yylval = NULL;
     return TOK_DEBUGLEVEL;
@@ -324,11 +319,6 @@
     return TOK_WILLINGNESS;
 }
 
-"IpcConnect" {
-    yylval = NULL;
-    return TOK_IPCCON;
-}
-
 "FIBMetric" {
     yylval = NULL;
     return TOK_FIBMETRIC;
diff -Nur olsrd-0.5.5.orig/src/defs.h olsrd-0.5.5/src/defs.h
--- olsrd-0.5.5.orig/src/defs.h	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/defs.h	2008-02-29 01:41:10.000000000 +0100
@@ -145,6 +145,7 @@
 extern olsr_bool olsr_win32_end_flag;
 #endif
 
+#ifndef SVEN_OLA_UNBLOAT
 /*
  *IPC functions
  *These are moved to a plugin soon
@@ -166,3 +167,4 @@
 ipc_output(struct olsr *);
 
 #endif
+#endif
diff -Nur olsrd-0.5.5.orig/src/duplicate_set.c olsrd-0.5.5/src/duplicate_set.c
--- olsrd-0.5.5.orig/src/duplicate_set.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/duplicate_set.c	2008-02-29 01:41:10.000000000 +0100
@@ -338,6 +338,7 @@
   return 1;
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsr_print_duplicate_table(void)
 {
@@ -362,3 +363,4 @@
   printf("\n");
 
 }
+#endif
diff -Nur olsrd-0.5.5.orig/src/hna_set.c olsrd-0.5.5/src/hna_set.c
--- olsrd-0.5.5.orig/src/hna_set.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/hna_set.c	2008-02-29 01:41:10.000000000 +0100
@@ -309,6 +309,7 @@
  *
  *@return nada
  */
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsr_print_hna_set(void)
 {
@@ -363,6 +364,7 @@
     }
 #endif
 }
+#endif
 
 /*
  * Local Variables:
diff -Nur olsrd-0.5.5.orig/src/interfaces.c olsrd-0.5.5/src/interfaces.c
--- olsrd-0.5.5.orig/src/interfaces.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/interfaces.c	2008-02-29 01:41:10.000000000 +0100
@@ -79,13 +79,17 @@
     /* Run trough all interfaces immedeatly */
     for(tmp_if = olsr_cnf->interfaces; tmp_if != NULL; tmp_if = tmp_if->next)
       {
+#ifndef SVEN_OLA_UNBLOAT
 	if(!tmp_if->host_emul)
 	  {
 	    if(!olsr_cnf->host_emul) /* XXX: TEMPORARY! */
+#endif
 	      chk_if_up(tmp_if, 1);	
+#ifndef SVEN_OLA_UNBLOAT
 	  }
 	else
 	  add_hemu_if(tmp_if);
+#endif
       }
   
   /* register network interface update function with scheduler */
@@ -242,7 +246,11 @@
  *@return nada
  */
 struct olsr_if *
+#ifdef SVEN_OLA_UNBLOAT
+queue_if(const char *name)
+#else
 queue_if(const char *name, int hemu)
+#endif
 {
   struct olsr_if *interf_n = olsr_cnf->interfaces;
 
@@ -267,7 +275,9 @@
   interf_n->interf = NULL;
   interf_n->configured = 0;
 
+#ifndef SVEN_OLA_UNBLOAT
   interf_n->host_emul = hemu ? OLSR_TRUE : OLSR_FALSE;
+#endif
 
   strncpy(interf_n->name, name, strlen(name) + 1);
   interf_n->next = olsr_cnf->interfaces;
diff -Nur olsrd-0.5.5.orig/src/interfaces.h olsrd-0.5.5/src/interfaces.h
--- olsrd-0.5.5.orig/src/interfaces.h	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/interfaces.h	2008-02-29 01:41:10.000000000 +0100
@@ -202,7 +202,11 @@
 if_ifwithindex(const int if_index);
 
 struct olsr_if *
+#ifdef SVEN_OLA_UNBLOAT
+queue_if(const char *);
+#else
 queue_if(const char *, int);
+#endif
 
 int
 add_ifchgf(int (*f)(struct interface *, int));
diff -Nur olsrd-0.5.5.orig/src/ipcalc.c olsrd-0.5.5/src/ipcalc.c
--- olsrd-0.5.5.orig/src/ipcalc.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/ipcalc.c	2008-02-29 01:41:10.000000000 +0100
@@ -104,6 +104,7 @@
   return prefix;
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 const char *
 olsr_ip_prefix_to_string(const struct olsr_ip_prefix *prefix)
 {
@@ -130,6 +131,7 @@
   }
   return rv;
 }
+#endif
 
 
 /* see if the ipaddr is in the net. That is equivalent to the fact that the net part
diff -Nur olsrd-0.5.5.orig/src/ipcalc.h olsrd-0.5.5/src/ipcalc.h
--- olsrd-0.5.5.orig/src/ipcalc.h	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/ipcalc.h	2008-02-29 01:41:10.000000000 +0100
@@ -90,7 +90,9 @@
 
 static INLINE const char *olsr_ip_to_string(struct ipaddr_str * const buf, const union olsr_ip_addr *addr) { return inet_ntop(olsr_cnf->ip_version, addr, buf->buf, sizeof(buf->buf)); }
 
+#ifndef SVEN_OLA_UNBLOAT
 const char *olsr_ip_prefix_to_string(const struct olsr_ip_prefix *prefix);
+#endif
 
 static INLINE const char *sockaddr4_to_string(struct ipaddr_str * const buf, const struct sockaddr * const addr) { const struct sockaddr_in * const addr4 = (const struct sockaddr_in *)addr; return ip4_to_string(buf, addr4->sin_addr); }
 
diff -Nur olsrd-0.5.5.orig/src/ipc_frontend.c olsrd-0.5.5/src/ipc_frontend.c
--- olsrd-0.5.5.orig/src/ipc_frontend.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/ipc_frontend.c	2008-02-29 01:41:10.000000000 +0100
@@ -45,6 +45,7 @@
  *
  */
 
+#ifndef SVEN_OLA_UNBLOAT
 #include "ipc_frontend.h"
 #include "link_set.h"
 #include "olsr.h"
@@ -456,6 +457,7 @@
   
   return 1;
 }
+#endif
 
 /*
  * Local Variables:
diff -Nur olsrd-0.5.5.orig/src/ipc_frontend.h olsrd-0.5.5/src/ipc_frontend.h
--- olsrd-0.5.5.orig/src/ipc_frontend.h	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/ipc_frontend.h	2008-02-29 01:41:10.000000000 +0100
@@ -47,6 +47,7 @@
 
 #ifndef _OLSR_IPC
 #define _OLSR_IPC
+#ifndef SVEN_OLA_UNBLOAT
 
 #include <sys/types.h>
 #include <netinet/in.h>
@@ -110,3 +111,4 @@
 ipc_route_send_rtentry(const union olsr_ip_addr *, const union olsr_ip_addr *, int, int, const char *);
 
 #endif
+#endif
diff -Nur olsrd-0.5.5.orig/src/link_set.c olsrd-0.5.5/src/link_set.c
--- olsrd-0.5.5.orig/src/link_set.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/link_set.c	2008-02-29 01:41:10.000000000 +0100
@@ -998,6 +998,7 @@
   return;
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 void olsr_print_link_set(void)
 {
 #ifndef NODEBUG
@@ -1042,6 +1043,7 @@
   }
 #endif
 }
+#endif
 
 static void update_packet_loss_worker(struct link_entry *entry, int lost)
 {
diff -Nur olsrd-0.5.5.orig/src/linux/apm.c olsrd-0.5.5/src/linux/apm.c
--- olsrd-0.5.5.orig/src/linux/apm.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/linux/apm.c	2008-02-29 01:41:10.000000000 +0100
@@ -43,6 +43,7 @@
  * Acpi-Power Enlightenment epplet
  */
 
+#ifndef SVEN_OLA_UNBLOAT
 #include "apm.h"
 #include "defs.h"
 #include <stdio.h>
@@ -379,3 +380,4 @@
   /* No battery found */
   return -1;
 }
+#endif
diff -Nur olsrd-0.5.5.orig/src/linux/kernel_routes.c olsrd-0.5.5/src/linux/kernel_routes.c
--- olsrd-0.5.5.orig/src/linux/kernel_routes.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/linux/kernel_routes.c	2008-02-29 01:41:10.000000000 +0100
@@ -151,6 +151,7 @@
         h = NLMSG_NEXT(h, ret);
       }
     }
+#ifndef SVEN_OLA_UNBLOAT
     if (0 <= ret && olsr_cnf->ipc_connections > 0)
     {
       ipc_route_send_rtentry(
@@ -160,6 +161,7 @@
         RTM_NEWROUTE == cmd,
         if_ifwithindex_name(nexthop->iif_index));
     }
+#endif
   }
   return ret;
 }
diff -Nur olsrd-0.5.5.orig/src/linux/net.c olsrd-0.5.5/src/linux/net.c
--- olsrd-0.5.5.orig/src/linux/net.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/linux/net.c	2008-02-29 01:41:11.000000000 +0100
@@ -70,8 +70,10 @@
 #define SIOCGIWRATE	0x8B21		/* get default bit rate (bps) */
 
 /* The original state of the IP forwarding proc entry */
+#ifndef SVEN_OLA_UNBLOAT
 static char orig_fwd_state;
 static char orig_global_redirect_state;
+#endif
 
 /**
  *Bind a socket to a device
@@ -92,6 +94,7 @@
   return setsockopt(sock, SOL_SOCKET, SO_BINDTODEVICE, dev_name, strlen(dev_name)+1);
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 
 /**
  *Enable IP forwarding.
@@ -115,6 +118,9 @@
 
   if ((proc_fwd=fopen(procfile, "r"))==NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       /* IPv4 */
       if(version == AF_INET)
 	fprintf(stderr, "WARNING! Could not open the %s file to check/enable IP forwarding!\nAre you using the procfile filesystem?\nDoes your system support IPv4?\nI will continue(in 3 sec) - but you should mannually ensure that IP forwarding is enabeled!\n\n", procfile);
@@ -123,6 +129,7 @@
 	fprintf(stderr, "WARNING! Could not open the %s file to check/enable IP forwarding!\nAre you using the procfile filesystem?\nDoes your system support IPv6?\nI will continue(in 3 sec) - but you should mannually ensure that IP forwarding is enabeled!\n\n", procfile);
       
       sleep(3);
+#endif
       return 0;
     }
   
@@ -136,9 +143,13 @@
     {
       if ((proc_fwd=fopen(procfile, "w"))==NULL)
         {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+          perror(procfile);
+#else
           fprintf(stderr, "Could not open %s for writing!\n", procfile);
           fprintf(stderr, "I will continue(in 3 sec) - but you should mannually ensure that IP forwarding is enabeled!\n\n");
           sleep(3);
+#endif
           return 0;
         }
       else
@@ -162,9 +173,13 @@
 
   if((proc_redirect = fopen(procfile, "r")) == NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "WARNING! Could not open the %s file to check/disable ICMP redirects!\nAre you using the procfile filesystem?\nDoes your system support IPv4?\nI will continue(in 3 sec) - but you should mannually ensure that ICMP redirects are disabled!\n\n", procfile);
       
       sleep(3);
+#endif
       return -1;
     }
   orig_global_redirect_state = fgetc(proc_redirect);
@@ -175,9 +190,13 @@
 
   if ((proc_redirect = fopen(procfile, "w"))==NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "Could not open %s for writing!\n", procfile);
       fprintf(stderr, "I will continue(in 3 sec) - but you should mannually ensure that ICMP redirect is disabeled!\n\n");
       sleep(3);
+#endif
       return 0;
     }
   syslog(LOG_INFO, "Writing \"0\" to %s", procfile);
@@ -205,8 +224,12 @@
 
   if((proc_redirect = fopen(procfile, "r")) == NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "WARNING! Could not open the %s file to check/disable ICMP redirects!\nAre you using the procfile filesystem?\nDoes your system support IPv4?\nI will continue(in 3 sec) - but you should mannually ensure that ICMP redirects are disabled!\n\n", procfile);      
       sleep(3);
+#endif
       return 0;
     }
   iface->nic_state.redirect = fgetc(proc_redirect);
@@ -214,9 +237,13 @@
 
   if ((proc_redirect = fopen(procfile, "w"))==NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "Could not open %s for writing!\n", procfile);
       fprintf(stderr, "I will continue(in 3 sec) - but you should mannually ensure that ICMP redirect is disabeled!\n\n");
       sleep(3);
+#endif
       return 0;
     }
   syslog(LOG_INFO, "Writing \"0\" to %s", procfile);
@@ -243,9 +270,13 @@
 
   if((proc_spoof = fopen(procfile, "r")) == NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "WARNING! Could not open the %s file to check/disable the IP spoof filter!\nAre you using the procfile filesystem?\nDoes your system support IPv4?\nI will continue(in 3 sec) - but you should mannually ensure that IP spoof filtering is disabled!\n\n", procfile);
       
       sleep(3);
+#endif
       return 0;
     }
   iface->nic_state.spoof = fgetc(proc_spoof);
@@ -253,9 +284,13 @@
 
   if ((proc_spoof = fopen(procfile, "w")) == NULL)
     {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+      perror(procfile);
+#else
       fprintf(stderr, "Could not open %s for writing!\n", procfile);
       fprintf(stderr, "I will continue(in 3 sec) - but you should mannually ensure that IP spoof filtering is disabeled!\n\n");
       sleep(3);
+#endif
       return 0;
     }
   syslog(LOG_INFO, "Writing \"0\" to %s", procfile);
@@ -284,7 +319,11 @@
 
       if ((proc_fd = fopen(procfile, "w")) == NULL)
 	{
+#ifdef SVEN_OLA_UNBLOAT_OLD
+           perror(procfile);
+#else
 	  fprintf(stderr, "Could not open %s for writing!\nSettings not restored!\n", procfile);
+#endif
 	}
       else
 	{
@@ -304,7 +343,11 @@
 
 	  if ((proc_fd = fopen(procfile, "w")) == NULL)
 	    {
+#ifdef SVEN_OLA_UNBLOAT_OLD
+              perror(procfile);
+#else
 	      fprintf(stderr, "Could not open %s for writing!\nSettings not restored!\n", procfile);
+#endif
 	    }
 	  else
 	    {
@@ -331,7 +374,11 @@
       snprintf(procfile, sizeof(procfile), REDIRECT_PROC, ifs->int_name);
       
       if ((proc_fd = fopen(procfile, "w")) == NULL)
+#ifdef SVEN_OLA_UNBLOAT_OLD
+          perror(procfile);
+#else
 	  fprintf(stderr, "Could not open %s for writing!\nSettings not restored!\n", procfile);
+#endif
       else
 	{
 	  syslog(LOG_INFO, "Resetting %s to %c\n", procfile, ifs->nic_state.redirect);
@@ -345,7 +392,11 @@
       /* Generate the procfile name */
       sprintf(procfile, SPOOF_PROC, ifs->int_name);
       if ((proc_fd = fopen(procfile, "w")) == NULL)
+#ifdef SVEN_OLA_UNBLOAT_OLD
+          perror(procfile);
+#else
 	  fprintf(stderr, "Could not open %s for writing!\nSettings not restored!\n", procfile);
+#endif
       else
 	{
 	  syslog(LOG_INFO, "Resetting %s to %c\n", procfile, ifs->nic_state.spoof);
@@ -397,6 +448,7 @@
   return sock;
 }
 
+#endif /* SVEN_OLA_UNBLOAT */
 
 /**
  *Creates a nonblocking broadcast socket.
diff -Nur olsrd-0.5.5.orig/src/main.c olsrd-0.5.5/src/main.c
--- olsrd-0.5.5.orig/src/main.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/main.c	2008-02-29 01:41:11.000000000 +0100
@@ -260,13 +260,17 @@
   /*
    * Print configuration 
    */
+#ifndef SVEN_OLA_UNBLOAT
   if(olsr_cnf->debug_level > 1) {
     olsrd_print_cnf(olsr_cnf);
   }
+#endif
 #ifndef WIN32
+#ifndef SVEN_OLA_UNBLOAT
   /* Disable redirects globally */
   disable_redirects_global(olsr_cnf->ip_version);
 #endif
+#endif
 
   /*
    *socket for icotl calls
@@ -300,7 +304,9 @@
   /*
    *enable ip forwarding on host
    */
+#ifndef SVEN_OLA_UNBLOAT
   enable_ip_forwarding(olsr_cnf->ip_version);
+#endif
 
   /* Initialize parser */
   olsr_init_parser();
@@ -319,6 +325,7 @@
    */
   if(olsr_cnf->willingness_auto)
     {
+#ifndef SVEN_OLA_UNBLOAT
       if(apm_init() < 0)
 	{
 	  OLSR_PRINTF(1, "Could not read APM info - setting default willingness(%d)\n", WILL_DEFAULT);
@@ -330,10 +337,13 @@
 	}
       else
 	{
+#endif
 	  olsr_cnf->willingness = olsr_calculate_willingness();
 
 	  OLSR_PRINTF(1, "Willingness set to %d - next update in %.1f secs\n", olsr_cnf->willingness, olsr_cnf->will_int);
+#ifndef SVEN_OLA_UNBLOAT
 	}
+#endif
     }
 
   /* Initialize net */
@@ -366,9 +376,11 @@
 
   /* Initialize the IPC socket */
 
+#ifndef SVEN_OLA_UNBLOAT
   if (olsr_cnf->ipc_connections > 0) {
       ipc_init();
   }
+#endif
   /* Initialisation of different tables to be used.*/
   olsr_init_tables();
 
@@ -479,9 +491,11 @@
   OLSR_PRINTF(1, "Closing sockets...\n");
 
   /* front-end IPC socket */
+#ifndef SVEN_OLA_UNBLOAT
   if (olsr_cnf->ipc_connections > 0) {
     shutdown_ipc();
   }
+#endif
 
   /* OLSR sockets */
   for (ifn = ifnet; ifn; ifn = ifn->int_next) 
@@ -491,7 +505,9 @@
   olsr_close_plugins();
 
   /* Reset network settings */
+#ifndef SVEN_OLA_UNBLOAT
   restore_settings(olsr_cnf->ip_version);
+#endif
 
   /* ioctl socket */
   close(olsr_cnf->ioctl_s);
@@ -524,7 +540,11 @@
           "usage: olsrd [-f <configfile>] [ -i interface1 interface2 ... ]\n"
           "  [-d <debug_level>] [-ipv6] [-multi <IPv6 multicast address>]\n"
           "  [-lql <LQ level>] [-lqw <LQ winsize>] [-lqnt <nat threshold>]\n"
+#ifdef SVEN_OLA_UNBLOAT
+          "  [-bcast <broadcastaddr>] [-delgw] (Note: no -ipc,-dispin,-dispout)\n"
+#else
           "  [-bcast <broadcastaddr>] [-ipc] [-dispin] [-dispout] [-delgw]\n"
+#endif
           "  [-hint <hello interval (secs)>] [-tcint <tc interval (secs)>]\n"
           "  [-midint <mid interval (secs)>] [-hnaint <hna interval (secs)>]\n"
           "  [-T <Polling Rate (secs)>] [-nofork] [-hemu <ip_address>]\n"
@@ -712,13 +732,21 @@
 	      olsr_exit(__func__, EXIT_FAILURE);
 	    }
 	  printf("Queuing if %s\n", *argv);
+#ifdef SVEN_OLA_UNBLOAT
+	  queue_if(*argv);
+#else
 	  queue_if(*argv, OLSR_FALSE);
+#endif
 
 	  while((argc - 1) && (argv[1][0] != '-'))
 	    {
 	      NEXT_ARG;
 	      printf("Queuing if %s\n", *argv);
+#ifdef SVEN_OLA_UNBLOAT
+	      queue_if(*argv);
+#else
 	      queue_if(*argv, OLSR_FALSE);
+#endif	      
 	    }
 
 	  continue;
@@ -787,6 +815,7 @@
 	}
 
 
+#ifndef SVEN_OLA_UNBLOAT
       /*
        * Should we display the contents of packages beeing sent?
        */
@@ -814,6 +843,7 @@
 	  cnf->ipc_connections = 1;
 	  continue;
 	}
+#endif
 
       /*
        * IPv6 multicast addr
@@ -834,6 +864,7 @@
 	  continue;
 	}
 
+#ifndef SVEN_OLA_UNBLOAT
       /*
        * Host emulation
        */
@@ -863,6 +894,7 @@
 
 	  continue;
 	}
+#endif
 
 
       /*
diff -Nur olsrd-0.5.5.orig/src/neighbor_table.c olsrd-0.5.5/src/neighbor_table.c
--- olsrd-0.5.5.orig/src/neighbor_table.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/neighbor_table.c	2008-02-29 01:41:11.000000000 +0100
@@ -427,6 +427,7 @@
  *
  *@return nada
  */
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsr_print_neighbor_table(void)
 {
@@ -467,3 +468,4 @@
   }
 #endif
 }
+#endif
diff -Nur olsrd-0.5.5.orig/src/net_olsr.c olsrd-0.5.5/src/net_olsr.c
--- olsrd-0.5.5.orig/src/net_olsr.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/net_olsr.c	2008-02-29 01:41:11.000000000 +0100
@@ -43,7 +43,9 @@
 #include "log.h"
 #include "olsr.h"
 #include "net_os.h"
+#ifndef SVEN_OLA_UNBLOAT
 #include "print_packet.h"
+#endif
 #include "link_set.h"
 #include "lq_packet.h"
 
@@ -397,9 +399,11 @@
    *if the -dispout option was given
    *we print the content of the packets
    */
+#ifndef SVEN_OLA_UNBLOAT
   if(disp_pack_out)
     print_olsr_serialized_packet(stdout, (union olsr_packet *)ifp->netbuf.buff, 
 				 ifp->netbuf.pending, &ifp->ip_addr); 
+#endif
   
   if(olsr_cnf->ip_version == AF_INET)
     {
@@ -428,12 +432,16 @@
 		     sizeof (*sin6))
 	 < 0)
 	{
+#ifndef SVEN_OLA_UNBLOAT
           struct ipaddr_str buf;
+#endif
 	  perror("sendto(v6)");
 	  olsr_syslog(OLSR_LOG_ERR, "OLSR: sendto IPv6 %m");
+#ifndef SVEN_OLA_UNBLOAT
 	  fprintf(stderr, "Socket: %d interface: %d\n", ifp->olsr_socket, ifp->if_index);
 	  fprintf(stderr, "To: %s (size: %u)\n", ip6_to_string(&buf, &sin6->sin6_addr), (unsigned int)sizeof(*sin6));
 	  fprintf(stderr, "Outputsize: %d\n", ifp->netbuf.pending);
+#endif
 	  retval = -1;
 	}
     }
diff -Nur olsrd-0.5.5.orig/src/olsr.c olsrd-0.5.5/src/olsr.c
--- olsrd-0.5.5.orig/src/olsr.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/olsr.c	2008-02-29 01:41:11.000000000 +0100
@@ -155,7 +155,9 @@
 
   if (olsr_cnf->debug_level > 0 && olsr_cnf->clear_screen && isatty(1))
   {
+#ifndef SVEN_OLA_UNBLOAT
       clear_console();
+#endif
       printf("       *** %s (%s on %s) ***\n", olsrd_version, build_date, build_host);
   }
 
@@ -172,6 +174,7 @@
     olsr_calculate_routing_table();
   }
   
+#ifndef SVEN_OLA_UNBLOAT
   if (olsr_cnf->debug_level > 0)
     {      
       if (olsr_cnf->debug_level > 2) 
@@ -195,6 +198,7 @@
       olsr_print_tc_table();
 #endif
     }
+#endif
 
   for(tmp_pc_list = pcf_list; 
       tmp_pc_list != NULL;
@@ -435,12 +439,15 @@
 olsr_u8_t
 olsr_calculate_willingness(void)
 {
+#ifndef SVEN_OLA_UNBLOAT
   struct olsr_apm_info ainfo;
+#endif
 
   /* If fixed willingness */
   if(!olsr_cnf->willingness_auto)
     return olsr_cnf->willingness;
 
+#ifndef SVEN_OLA_UNBLOAT
   if(apm_read(&ainfo) < 1)
     return WILL_DEFAULT;
 
@@ -457,8 +464,12 @@
    * 26% > juice will: 1
    */
   return (ainfo.battery_percentage / 26);
+#else
+  return WILL_DEFAULT;
+#endif
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 const char *
 olsr_msgtype_to_string(olsr_u8_t msgtype)
 {
@@ -533,6 +544,7 @@
   snprintf(type, sizeof(type), "UNKNOWN(%d)", status);
   return type;
 }
+#endif
 
 
 /**
@@ -563,6 +575,7 @@
  *
  * @return a void pointer to the memory allocated
  */
+#ifndef SVEN_OLA_UNBLOAT
 void *
 olsr_malloc(size_t size, const char *id)
 {
@@ -583,6 +596,7 @@
 
   return ptr;
 }
+#endif
 
 
 /**
diff -Nur olsrd-0.5.5.orig/src/olsr_cfg.h olsrd-0.5.5/src/olsr_cfg.h
--- olsrd-0.5.5.orig/src/olsr_cfg.h	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/olsr_cfg.h	2008-02-29 01:41:11.000000000 +0100
@@ -147,8 +147,10 @@
   char                     *name;
   char                     *config;
   olsr_bool                configured;
+#ifndef SVEN_OLA_UNBLOAT
   olsr_bool                host_emul;
   union olsr_ip_addr       hemu_ip;
+#endif
   struct interface         *interf;
   struct if_config_options *cnf;
   struct olsr_if           *next;
@@ -196,7 +198,9 @@
 {
   int                      debug_level;
   olsr_bool                no_fork;
+#ifndef SVEN_OLA_UNBLOAT
   olsr_bool                host_emul;
+#endif
   int                      ip_version;
   olsr_bool                allow_no_interfaces;
   olsr_u16_t               tos;
@@ -204,13 +208,17 @@
   olsr_u8_t                rttable_default;
   olsr_u8_t                willingness;
   olsr_bool                willingness_auto;
+#ifndef SVEN_OLA_UNBLOAT
   int                      ipc_connections;
+#endif
   olsr_bool                use_hysteresis;
   olsr_fib_metric_options  fib_metric;
   struct hyst_param        hysteresis_param;
   struct plugin_entry      *plugins;
   struct ip_prefix_list    *hna_entries;
+#ifndef SVEN_OLA_UNBLOAT
   struct ip_prefix_list    *ipc_nets;
+#endif
   struct olsr_if           *interfaces;
   float                    pollrate;
   float                    nic_chgs_pollrate;
@@ -274,8 +282,10 @@
 void
 olsrd_free_cnf(struct olsrd_config *);
 
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsrd_print_cnf(struct olsrd_config *);
+#endif
 
 int
 olsrd_write_cnf(struct olsrd_config *, const char *);
diff -Nur olsrd-0.5.5.orig/src/olsr.h olsrd-0.5.5/src/olsr.h
--- olsrd-0.5.5.orig/src/olsr.h	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/olsr.h	2008-02-29 01:41:11.000000000 +0100
@@ -84,6 +84,7 @@
 olsr_u8_t
 olsr_calculate_willingness(void);
 
+#ifndef SVEN_OLA_UNBLOAT
 const char *
 olsr_msgtype_to_string(olsr_u8_t);
 
@@ -92,12 +93,17 @@
 
 const char *
 olsr_status_to_string(olsr_u8_t);
+#endif
 
 void
 olsr_exit(const char *, int);
 
+#ifdef SVEN_OLA_UNBLOAT
+#define olsr_malloc(size, msg) malloc(size)
+#else
 void *
 olsr_malloc(size_t, const char *);
+#endif
 
 int
 olsr_printf(int, const char *, ...) __attribute__((format(printf,2,3)));
diff -Nur olsrd-0.5.5.orig/src/parser.c olsrd-0.5.5/src/parser.c
--- olsrd-0.5.5.orig/src/parser.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/parser.c	2008-02-29 01:41:11.000000000 +0100
@@ -50,7 +50,9 @@
 #include "rebuild_packet.h"
 #include "net_os.h"
 #include "log.h"
+#ifndef SVEN_OLA_UNBLOAT
 #include "print_packet.h"
+#endif
 #include "net_olsr.h"
 
 #ifdef WIN32
@@ -246,9 +248,11 @@
 
   //printf("Message from %s\n\n", olsr_ip_to_string(&buf, from_addr)); 
       
+#ifndef SVEN_OLA_UNBLOAT
   /* Display packet */
   if(disp_pack_in)
     print_olsr_serialized_packet(stdout, (union olsr_packet *)olsr, size, from_addr);
+#endif
 
   if(olsr_cnf->ip_version == AF_INET)
     msgsize = ntohs(m->v4.olsr_msgsize);
diff -Nur olsrd-0.5.5.orig/src/print_packet.c olsrd-0.5.5/src/print_packet.c
--- olsrd-0.5.5.orig/src/print_packet.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/print_packet.c	2008-02-29 01:41:11.000000000 +0100
@@ -38,6 +38,7 @@
  *
  */
 
+#ifndef SVEN_OLA_UNBLOAT
 #include "print_packet.h"
 #include "ipcalc.h"
 #include "mantissa.h"
@@ -407,3 +408,5 @@
       remsize -= olsr_cnf->ipsize;
     }
 }
+#endif /* SVEN_OLA_UNBLOAT */
+
diff -Nur olsrd-0.5.5.orig/src/process_routes.c olsrd-0.5.5/src/process_routes.c
--- olsrd-0.5.5.orig/src/process_routes.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/process_routes.c	2008-02-29 01:41:11.000000000 +0100
@@ -162,6 +162,7 @@
 static void
 olsr_delete_kernel_route(struct rt_entry *rt)
 {
+#ifndef SVEN_OLA_UNBLOAT
   if(!olsr_cnf->host_emul) {
     olsr_16_t error = olsr_cnf->ip_version == AF_INET ?
       olsr_delroute_function(rt) : olsr_delroute6_function(rt);
@@ -174,6 +175,14 @@
       olsr_syslog(OLSR_LOG_ERR, "Delete route %s: %s", routestr, err_msg);
     }
   }
+#else
+  olsr_16_t error = olsr_cnf->ip_version == AF_INET ?
+    olsr_delroute_function(rt) : olsr_delroute6_function(rt);
+  if (0 > error)
+  {
+    olsr_syslog(OLSR_LOG_ERR, "Delete route: %s", strerror(errno));
+  }
+#endif
 }
 
 /**
@@ -185,6 +194,7 @@
 olsr_add_kernel_route(struct rt_entry *rt)
 {
 
+#ifndef SVEN_OLA_UNBLOAT
   if(!olsr_cnf->host_emul) {
     olsr_16_t error = olsr_cnf->ip_version == AF_INET ?
       olsr_addroute_function(rt) : olsr_addroute6_function(rt);
@@ -204,6 +214,18 @@
       rt->rt_metric = rt->rt_best->rtp_metric;
     }
   }
+#else
+  olsr_16_t error = olsr_cnf->ip_version == AF_INET ?
+    olsr_addroute_function(rt) : olsr_addroute6_function(rt);
+  if (0 > error) 
+  {
+    olsr_syslog(OLSR_LOG_ERR, "Add route: %s", strerror(errno));
+  }
+  else
+  {
+    rt->rt_nexthop = rt->rt_best->rtp_nexthop;
+  }
+#endif
 }
 
 /**
diff -Nur olsrd-0.5.5.orig/src/rebuild_packet.c olsrd-0.5.5/src/rebuild_packet.c
--- olsrd-0.5.5.orig/src/rebuild_packet.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/rebuild_packet.c	2008-02-29 01:41:11.000000000 +0100
@@ -59,7 +59,11 @@
 mid_chgestruct(struct mid_message *mmsg, const union olsr_message *m)
 {
   int i;
+#ifndef SVEN_OLA_UNBLOAT
   struct mid_alias *alias, *alias_tmp;
+#else
+  struct mid_alias *alias;
+#endif
   int no_aliases;
 
   /* Checking if everything is ok */
@@ -103,6 +107,7 @@
 	}
       
       
+#ifndef SVEN_OLA_UNBLOAT
       if(olsr_cnf->debug_level > 1)
 	{
 #ifndef NODEBUG
@@ -118,6 +123,7 @@
 	    }
 	  OLSR_PRINTF(3, "\n");
 	}
+#endif
     }
   else
     {
@@ -155,6 +161,7 @@
 	}
 
 
+#ifndef SVEN_OLA_UNBLOAT
       if(olsr_cnf->debug_level > 1)
 	{
 #ifndef NODEBUG
@@ -171,6 +178,7 @@
 	    }
 	  OLSR_PRINTF(3, "\n");
 	}
+#endif
     }
 
 }
diff -Nur olsrd-0.5.5.orig/src/routing_table.c olsrd-0.5.5/src/routing_table.c
--- olsrd-0.5.5.orig/src/routing_table.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/routing_table.c	2008-02-29 01:41:11.000000000 +0100
@@ -627,6 +627,7 @@
 /**
  * format a route entry into a buffer
  */
+#ifndef SVEN_OLA_UNBLOAT
 char *
 olsr_rt_to_string(const struct rt_entry *rt)
 {
@@ -665,11 +666,13 @@
 
   return buff;
 }
+#endif
 
 /**
  * Print the routingtree to STDOUT
  *
  */
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsr_print_routing_table(const struct avl_tree *tree)
 {
@@ -708,6 +711,7 @@
     }
   }
 }
+#endif
 
 /*
  * Local Variables:
diff -Nur olsrd-0.5.5.orig/src/routing_table.h olsrd-0.5.5/src/routing_table.h
--- olsrd-0.5.5.orig/src/routing_table.h	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/routing_table.h	2008-02-29 01:41:11.000000000 +0100
@@ -215,9 +215,11 @@
 olsr_bool olsr_cmp_rt(const struct rt_entry *, const struct rt_entry *);
 olsr_u8_t olsr_fib_metric(const struct rt_metric *);
 
+#ifndef SVEN_OLA_UNBLOAT
 char *olsr_rt_to_string(const struct rt_entry *);
 char *olsr_rtp_to_string(const struct rt_path *);
 void olsr_print_routing_table(const struct avl_tree *);
+#endif
 
 const struct rt_nexthop * olsr_get_nh(const struct rt_entry *);
 
diff -Nur olsrd-0.5.5.orig/src/tc_set.c olsrd-0.5.5/src/tc_set.c
--- olsrd-0.5.5.orig/src/tc_set.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/tc_set.c	2008-02-29 01:41:11.000000000 +0100
@@ -279,6 +279,7 @@
 /**
  * format a tc_edge contents into a buffer
  */
+#ifndef SVEN_OLA_UNBLOAT
 char *
 olsr_tc_edge_to_string(struct tc_edge_entry *tc_edge)
 {
@@ -296,6 +297,7 @@
 
   return buf;
 }
+#endif
 
 /**
  * Set the TC edge expiration timer.
@@ -743,6 +745,7 @@
 /**
  * Print the topology table to stdout
  */
+#ifndef SVEN_OLA_UNBLOAT
 void
 olsr_print_tc_table(void)
 {
@@ -772,6 +775,7 @@
   } OLSR_FOR_ALL_TC_ENTRIES_END(tc);
 #endif
 }
+#endif
 
 #ifdef USE_FPM
 fpm
diff -Nur olsrd-0.5.5.orig/src/tc_set.h olsrd-0.5.5/src/tc_set.h
--- olsrd-0.5.5.orig/src/tc_set.h	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/tc_set.h	2008-02-29 01:41:11.000000000 +0100
@@ -147,7 +147,9 @@
 struct tc_entry *olsr_locate_tc_entry(union olsr_ip_addr *);
 
 /* tc_edge_entry manipulation */
+#ifndef SVEN_OLA_UNBLOAT
 char *olsr_tc_edge_to_string(struct tc_edge_entry *);
+#endif
 struct tc_edge_entry *olsr_lookup_tc_edge(struct tc_entry *,
                                           union olsr_ip_addr *);
 struct tc_edge_entry *olsr_add_tc_edge_entry(struct tc_entry *,
diff -Nur olsrd-0.5.5.orig/src/two_hop_neighbor_table.c olsrd-0.5.5/src/two_hop_neighbor_table.c
--- olsrd-0.5.5.orig/src/two_hop_neighbor_table.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/two_hop_neighbor_table.c	2008-02-29 01:41:11.000000000 +0100
@@ -224,6 +224,7 @@
 
 
 
+#ifndef SVEN_OLA_UNBLOAT
 /**
  *Print the two hop neighbor table to STDOUT.
  *
@@ -270,3 +271,4 @@
   }
 #endif
 }
+#endif
diff -Nur olsrd-0.5.5.orig/src/unix/ifnet.c olsrd-0.5.5/src/unix/ifnet.c
--- olsrd-0.5.5.orig/src/unix/ifnet.c	2008-02-29 01:41:10.000000000 +0100
+++ olsrd-0.5.5/src/unix/ifnet.c	2008-02-29 01:41:11.000000000 +0100
@@ -70,6 +70,7 @@
 
 #define BUFSPACE  (127*1024)	/* max. input buffer size to request */
 
+#ifndef SVEN_OLA_UNBLOAT
 
 int
 set_flag(char *ifname, short flag __attribute__((unused)))
@@ -104,6 +105,7 @@
 
 }
 
+#endif /* SVEN_OLA_UNBLOAT */
 
 
 
@@ -118,11 +120,13 @@
 
   for(tmp_if = olsr_cnf->interfaces; tmp_if != NULL; tmp_if = tmp_if->next)
     {
+#ifndef SVEN_OLA_UNBLOAT
       if(tmp_if->host_emul)
 	continue;
       
       if(olsr_cnf->host_emul) /* XXX: TEMPORARY! */
 	continue;
+#endif
 
       if(!tmp_if->cnf->autodetect_chg) 
         {
@@ -166,8 +170,10 @@
   OLSR_PRINTF(3, "Checking if %s is set down or changed\n", iface->name);
 #endif
 
+#ifndef SVEN_OLA_UNBLOAT
   if(iface->host_emul)
     return -1;
+#endif
 
   ifp = iface->interf;
 
@@ -310,7 +316,9 @@
   else
   /* IP version 4 */
     {
+#ifndef SVEN_OLA_UNBLOAT
       struct ipaddr_str buf;
+#endif
       /* Check interface address (IPv4)*/
       if(ioctl(olsr_cnf->ioctl_s, SIOCGIFADDR, &ifr) < 0) 
 	{
@@ -338,7 +346,9 @@
 		    olsr_cnf->ipsize) == 0)
 	    {
 	      OLSR_PRINTF(1, "New main address: %s\n", sockaddr4_to_string(&buf, &ifr.ifr_addr));
+#ifndef SVEN_OLA_UNBLOAT
 	      olsr_syslog(OLSR_LOG_INFO, "New main address: %s\n", sockaddr4_to_string(&buf, &ifr.ifr_addr));
+#endif
 	      memcpy(&olsr_cnf->main_addr, 
 		     &((struct sockaddr_in *)&ifr.ifr_addr)->sin_addr.s_addr, 
 		     olsr_cnf->ipsize);
@@ -416,7 +426,9 @@
 
  remove_interface:
   OLSR_PRINTF(1, "Removing interface %s\n", iface->name);
+#ifndef SVEN_OLA_UNBLOAT
   olsr_syslog(OLSR_LOG_INFO, "Removing interface %s\n", iface->name);
+#endif
 
   del_if_link_entries(&ifp->ip_addr);
 
@@ -455,10 +467,14 @@
 	}
       else
 	{
+#if !defined(SVEN_OLA_UNBLOAT)
           struct ipaddr_str buf;
+#endif
 	  olsr_cnf->main_addr = ifnet->ip_addr;
 	  OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#ifndef SVEN_OLA_UNBLOAT
 	  olsr_syslog(OLSR_LOG_INFO, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#endif
 	}
     }
 
@@ -521,7 +537,9 @@
   if((ifnet == NULL) && (!olsr_cnf->allow_no_interfaces))
     {
       OLSR_PRINTF(1, "No more active interfaces - exiting.\n");
+#ifndef SVEN_OLA_UNBLOAT
       olsr_syslog(OLSR_LOG_INFO, "No more active interfaces - exiting.\n");
+#endif
       olsr_cnf->exit_value = EXIT_FAILURE;
       kill(getpid(), SIGINT);
     }
@@ -530,6 +548,7 @@
 
 }
 
+#ifndef SVEN_OLA_UNBLOAT
 /**
  * Initializes the special interface used in
  * host-client emulation
@@ -572,7 +591,9 @@
     {
       olsr_cnf->main_addr = iface->hemu_ip;
       OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#ifndef SVEN_OLA_UNBLOAT
 	olsr_syslog(OLSR_LOG_INFO, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#endif
     }
 
   ifp->int_mtu = OLSR_DEFAULT_MTU;
@@ -715,6 +736,7 @@
 
   return 1;
 }
+#endif /* SVEN_OLA_UNBLOAT */
 
 static char basenamestr[32];
 static const char* if_basename(const char* name);
@@ -748,8 +770,10 @@
   int tos_bits = IPTOS_TOS(olsr_cnf->tos);
 #endif
 
+#ifndef SVEN_OLA_UNBLOAT
   if(iface->host_emul)
     return -1;
+#endif
 
   memset(&ifr, 0, sizeof(struct ifreq));
   strncpy(ifr.ifr_name, iface->name, IFNAMSIZ);
@@ -878,11 +902,13 @@
 	  ifs.int_broadaddr = *(struct sockaddr_in *)&ifr.ifr_broadaddr;
 	}
       
+#ifndef SVEN_OLA_UNBLOAT
       /* Deactivate IP spoof filter */
       deactivate_spoof(if_basename(ifr.ifr_name), &ifs, olsr_cnf->ip_version);
       
       /* Disable ICMP redirects */
       disable_redirects(if_basename(ifr.ifr_name), &ifs, olsr_cnf->ip_version);
+#endif
       
     }
   
@@ -913,7 +939,9 @@
 	       
   OLSR_PRINTF(1, "\tMTU - IPhdr: %d\n", ifs.int_mtu);
 
+#ifndef SVEN_OLA_UNBLOAT
   olsr_syslog(OLSR_LOG_INFO, "Adding interface %s\n", iface->name);
+#endif
   OLSR_PRINTF(1, "\tIndex %d\n", ifs.if_index);
 
   if(olsr_cnf->ip_version == AF_INET)
@@ -1028,10 +1056,14 @@
   memset(&null_addr, 0, olsr_cnf->ipsize);
   if(ipequal(&null_addr, &olsr_cnf->main_addr))
     {
+#if !defined(SVEN_OLA_UNBLOAT)
       struct ipaddr_str buf;
+#endif
       olsr_cnf->main_addr = ifp->ip_addr;
       OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#ifndef SVEN_OLA_UNBLOAT
       olsr_syslog(OLSR_LOG_INFO, "New main address: %s\n", olsr_ip_to_string(&buf, &olsr_cnf->main_addr));
+#endif
     }
   
   /*
diff -Nur olsrd-0.5.5.orig/src/unix/misc.c olsrd-0.5.5/src/unix/misc.c
--- olsrd-0.5.5.orig/src/unix/misc.c	2008-02-06 19:32:49.000000000 +0100
+++ olsrd-0.5.5/src/unix/misc.c	2008-02-29 01:41:11.000000000 +0100
@@ -44,6 +44,7 @@
 #include "misc.h"
 #include "olsr_types.h"
 
+#ifndef SVEN_OLA_UNBLOAT
 void clear_console(void)
 {
   static int len = -1;
@@ -70,3 +71,4 @@
 
   fflush(stdout);
 }
+#endif
